package at.acdp.urweb.fhpp;

import at.acdp.urweb.Params;

import java.util.concurrent.CompletableFuture;

public interface IFHMaster {
    void start(Params app) throws InterruptedException;

    void direktAuftrag(int pos, int speed, int start, boolean relative);

    CompletableFuture<Status> readStatus();

    void bereitschaft();

    void stop();
}
